Subject: Re: [PATCH v2 08/13] merge-tree: support including merge messages in output

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Feb 2022 13:30:38 -0800

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> +By default, for a successful merge, the output from git-merge-tree is
> +simply one line:
> +
> +	<OID of toplevel tree>
> +
> +Whereas for a conflicted merge, the output is by default of the form:
>  
>  	<OID of toplevel tree>
> +	<Informational messages>

Sounds useful.  This made me wonder, as the only shuffling of the
output destination in the past few steps were to send the output to
some "FILE *", how you send the findings you make while coming up
with the result _after_ the result.  It turns out that the ORT
machinery already buffers these findings in a strbuf per path, so
there is no trouble doing so ;-)

It still makes me wonder how the "send rename warnings to the
standard output stream, instead of the standard error stream" change
interacts with this change, though.  That needs to be done way
before you finish computing the result, and it does not seem to be
buffered in-core, like per-path conflict information messages.